package com.zipcoder.payment;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class CheckTest {
    Check check = new Check();
    Paypal pay = new Paypal();
    CreditCard credit = new CreditCard();

    @Test
    public void compareToCheck(){
        int expected = 0;

        int actual = check.compareTo(check);


        assertEquals(expected,actual);

    }
    @Test
    public void compareToPP(){
        int expected = -1;

        int actual = check.compareTo(pay);

        assertEquals(expected,actual);

    }

    @Test
    public void compareToCC(){
        int expected = 1;

        int actual = check.compareTo(credit);

        assertEquals(expected,actual);

    }


    @Test
    public void creditCardTestGetID(){

        long expected = 12345678;
        check.setId(expected);
        long actual = check.getId();

        assertEquals(expected,actual);

    }

    @Test
    public void creditPayerNameTest(){

        String expected = "shiva";
        check.setPayerName(expected);
        String actual = check.getPayerName();
        assertEquals(expected,actual);

    }



    @Test
    public void getRouting(){
        String expected = "3111212";
        check.setRoutingNum(expected);
        String actual = check.getRoutingNum();
        assertEquals(expected,actual);


    }

    @Test
    void getLast4(){
        String expected = "5959";
        String accnum = "12345959";
        check.setAccNum(accnum);

        String actual = check.getlast4(accnum);

        assertEquals(expected,actual);

    }

    @Test
    public void getAcc(){

        String expected = "32324";
        check.setRoutingNum(expected);
        String actual = check.getRoutingNum();
        assertEquals(expected,actual);
    }

    @Test
    void getShortDescriptionTest() {
        String name = "Tia Mowry";
        String rout = "4551";

        check.setAccNum(rout);
        check.setPayerName(name);
        String expected = "Check Tia Mowry ***4551";
        String actual = check.getShortDescription();
        assertEquals(expected,actual);

    }




}