package com.zipcoder.payment;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class CreditCardTest {
    CreditCard credit = new CreditCard();
    Check check = new Check();
    Paypal pay = new Paypal();


    @Test
    public void compareToCC(){
        int expected = -1;
        CreditCard card1 = new CreditCard();
        card1.setPayerName("A");
        card1.setNumber("1234");


        int actual = card1.compareTo(credit);


        assertEquals(expected,actual);

    }
    @Test
    public void compareToCheck(){
        int expected = -1;

        int actual = credit.compareTo(check);

        assertEquals(expected,actual);

    }
    @Test
    public void compareToPP(){
        int expected = -1;

       int actual = credit.compareTo(pay);

        assertEquals(expected,actual);
    }

    @Test
    public void creditCardTestGetID(){

        long expected = 12345678;
        credit.setId(expected);
        long actual = credit.getId();

        Assertions.assertEquals(expected,actual);


    }

    @Test
    public void creditPayerNameTest(){

        String expected = "shiva";
        credit.setPayerName(expected);
        String actual = credit.getPayerName();
        assertEquals(expected,actual);

    }
    @Test
    public void creditPayerNumberTest(){

        String expected = "8573";
        credit.setNumber(expected);
        String actual = credit.getNumber();
        assertEquals(expected,actual);

    }

    @Test
    public void creditExpireMonthTest(){

        int expected = 11;
        credit.setExpiredMonth(expected);
        int actual = credit.getExpiredMonth();
        assertEquals(expected,actual);

    }

    @Test
    public void creditExpiredYearTest() {

        int expected = 2022;
        credit.setExpiredYear(expected);
        int actual = credit.getExpiredYear();
        assertEquals(expected, actual);

    }
    @Test
    public void creditShortDescriptionTest(){

        String name = "Tia Mowry";
        String number = "4551";
        int expiredMo = 10;
        int expiredYe = 2019;
        credit.setPayerName(name);
        credit.setNumber(number);
        credit.setExpiredMonth(expiredMo);
        credit.setExpiredYear(expiredYe);
        String expected = "CC " + name + " " + number + " " + expiredMo + "/" + expiredYe;
        String actual = credit.getShortDescription();
        assertEquals(expected,actual);

    }

}