package com.zipcoder.payment;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class PaymentPresenterTest {

    @Test
    public void testToString() {
        Payment[] payments = new Payment[0];
        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "";

        String actual = presenter.toString(payments);

        assertEquals(expected, actual);

    }

    /*paypal.setId(4L); paypal.setPayerName("Tia Mowry"); paypal.setEmail("tia@mowry.com");
            check.setId(81L); check.setPayerName("Tia Mowry"); check.setAccNum("11432543");
            check.setRoutingNum("4551");*/
    @Test
    public void testMultiple() {


        Payment[] payments = new Payment[2];
        Payment paypal = new Paypal(4L, "Tia Mowry", "tia@mowry.com");
        Payment check = new Check(81L,"Tia Mowry", "11432543", "134344551");



        payments[0] = paypal;
        payments[1] = check;



        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPaypal Tia Mowry tia@mowry.com\n";

        String actual = presenter.toString(payments);
        assertEquals(expected, actual);


    }

    @Test

    public void toStringByPayerName() {

        Payment[] payments = new Payment[2];
        Payment paypal = new Paypal(4L, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = paypal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Paypal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringByPayerName(payments);
        assertEquals(expected, actual);


    }
    @Test
    public void toStringbyId() {
        Payment[] payment = new Payment[2];
        Payment paypal = new Paypal(120L, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payment[0] = paypal;
        payment[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPaypal Tamara Mowry tamara@mowry.com\n";

        String actual = presenter.toStringById(payment);
        assertEquals(expected, actual);
    }

}

